Subject: bug#59804: shell-resync-dirs hangs in (t)csh

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2022 14:57:20 +0200

> Cc: [email-masked]
> Date: Sun, 04 Dec 2022 21:15:27 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > The following patch fixes the bug by ensuring the loop terminates in all
> > cases, but I am not sure it always does the right thing when no
> > directory name is found. It should be reviewed by someone who
> > understands the code better than me.
> 
> OK, thanks.  I think I'd prefer for now to fix just the trailing space part,
> which AFAIU happens always, and leave the more exotic situations as a FIXME
> comment, or maybe I will make the change you propose on the master branch.

I've now installed the simple patch I suggested.  I'm leaving the bug
open because the rest of the issue you describe has yet to be solved,
probably by someone who knows more about "dirs" in various shells than
I do.

Thanks.